X2Go Bug report logs - #1357
pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Chris Greenshields <c.greenshields@cfd.direct>

Date: Sat, 5 Jan 2019 13:50:02 UTC

Severity: normal

Tags: moreinfo, pending

Found in version 4.1.0.3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1357; Package pyhoca. (Sat, 05 Jan 2019 13:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Greenshields <c.greenshields@cfd.direct>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Sat, 05 Jan 2019 13:50:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Chris Greenshields <c.greenshields@cfd.direct>
To: submit@bugs.x2go.org
Subject: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Sat, 5 Jan 2019 13:44:00 +0000
Package: Pyhoca
Version: 0.6.0.1

I tested all combinations of the following recent releases of the
following software from the ppa:x2go/stable and ubuntu repositories:
+ x2goserver
  + 4.1.0.0-3 (ubuntu) 
  + 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable)
+ x2goclient
  + 4.1.1.1-2 (ubuntu)
  + 4.1.2.1-0~1788~ubuntu18.04.1 (ppa:x2go/stable)
+ pyhoca-cli
  + 0.5.0.4-1 (ubuntu)
  + 0.6.0.1 (ppa:x2go/stable)

There is one combination that did not work:
x2goserver 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable) with
pyhoca-cli 0.6.0.1 (ppa:x2go/stable)

It failed with the following message, which I assume is a bug:
"
a bytes-like object is required, not 'str'
pyhoca-cli: error: the remote server does not have the X2Go Server
software installed
"


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1357; Package pyhoca. (Sun, 06 Jan 2019 12:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 06 Jan 2019 12:25:02 GMT) Full text and rfc822 format available.

Message #10 received at 1357@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Chris Greenshields <c.greenshields@cfd.direct>, 1357@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Sun, 06 Jan 2019 12:22:37 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 pyhoca-cli

On  Sa 05 Jan 2019 14:44:00 CET, Chris Greenshields wrote:

> Package: Pyhoca
> Version: 0.6.0.1
>
> I tested all combinations of the following recent releases of the
> following software from the ppa:x2go/stable and ubuntu repositories:
> + x2goserver
>   + 4.1.0.0-3 (ubuntu)
>   + 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable)
> + x2goclient
>   + 4.1.1.1-2 (ubuntu)
>   + 4.1.2.1-0~1788~ubuntu18.04.1 (ppa:x2go/stable)
> + pyhoca-cli
>   + 0.5.0.4-1 (ubuntu)
>   + 0.6.0.1 (ppa:x2go/stable)
>
> There is one combination that did not work:
> x2goserver 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable) with
> pyhoca-cli 0.6.0.1 (ppa:x2go/stable)
>
> It failed with the following message, which I assume is a bug:
> "
> a bytes-like object is required, not 'str'
> pyhoca-cli: error: the remote server does not have the X2Go Server
> software installed
> "

Thanks for reporting this issue. I thought I had already fixed that.  
Need to take a second look, obviously.

Will do the coming week.
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'pyhoca' to 'pyhoca-cli'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1357-submit@bugs.x2go.org. (Sun, 06 Jan 2019 12:25:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.6.0.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1357-submit@bugs.x2go.org. (Sun, 06 Jan 2019 12:25:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Sun, 06 Jan 2019 16:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 06 Jan 2019 16:10:01 GMT) Full text and rfc822 format available.

Message #19 received at 1357@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Chris Greenshields <c.greenshields@cfd.direct>, 1357@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Sun, 06 Jan 2019 16:07:07 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 moreinfo

Hi,

On  Sa 05 Jan 2019 14:44:00 CET, Chris Greenshields wrote:

> Package: Pyhoca
> Version: 0.6.0.1
>
> I tested all combinations of the following recent releases of the
> following software from the ppa:x2go/stable and ubuntu repositories:
> + x2goserver
>   + 4.1.0.0-3 (ubuntu)
>   + 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable)
> + x2goclient
>   + 4.1.1.1-2 (ubuntu)
>   + 4.1.2.1-0~1788~ubuntu18.04.1 (ppa:x2go/stable)
> + pyhoca-cli
>   + 0.5.0.4-1 (ubuntu)
>   + 0.6.0.1 (ppa:x2go/stable)
>
> There is one combination that did not work:
> x2goserver 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable) with
> pyhoca-cli 0.6.0.1 (ppa:x2go/stable)
>
> It failed with the following message, which I assume is a bug:
> "
> a bytes-like object is required, not 'str'
> pyhoca-cli: error: the remote server does not have the X2Go Server
> software installed
> "

There were to commits in the near past that might be related to the  
newly introduced checking of X2Go Server being installed on the remote  
host:

X2Go Server:
https://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c80103788eebe0445efc2cefb56b074231b76f39

Python X2Go:
https://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=d383eb79567677a5be1756ec0fd991f8d82e7a2f

Can you verify that you have both patches in your x2goserver /  
python3-x2go packages?

Thanks,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1357-submit@bugs.x2go.org. (Sun, 06 Jan 2019 16:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Wed, 09 Jan 2019 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Greenshields <c.greenshields@cfd.direct>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 09 Jan 2019 21:30:04 GMT) Full text and rfc822 format available.

Message #26 received at 1357@bugs.x2go.org (full text, mbox):

From: Chris Greenshields <c.greenshields@cfd.direct>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 1357@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Wed, 9 Jan 2019 21:19:24 +0000
Hi Mike,

I checked the sources from the x2goserver and pyhoca-cli packages from
the ubuntu and ppa:x2go/stable repositories.

The incompatible combination is
+ pyhoca-cli 0.6.0.1, which includes the patch you mentioned, despite
the fact that the patch appears to be introduced in code marked
0.6.0.2;
+ and, x2goserver 4.1.0.3, which does not include the patch you mentioned.

Older versions of both packages I tested, x2goserver 4.1.0.0 and
pyhoca-cli 0.5.0.4, do not include the patches you mentioned, and they
are compatible.

I hope this helps.

Thanks,

Chris

> [1  <text/plain; utf-8 (quoted-printable)>]
> Control: tags -1 moreinfo

> Hi,

> On  Sa 05 Jan 2019 14:44:00 CET, Chris Greenshields wrote:

>> Package: Pyhoca
>> Version: 0.6.0.1
>> 
>> I tested all combinations of the following recent releases of the
>> following software from the ppa:x2go/stable and ubuntu repositories:
>> + x2goserver
>> + 4.1.0.0-3 (ubuntu)
>> + 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable)
>> + x2goclient
>> + 4.1.1.1-2 (ubuntu)
>> + 4.1.2.1-0~1788~ubuntu18.04.1 (ppa:x2go/stable)
>> + pyhoca-cli
>> + 0.5.0.4-1 (ubuntu)
>> + 0.6.0.1 (ppa:x2go/stable)
>> 
>> There is one combination that did not work:
>> x2goserver 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable) with
>> pyhoca-cli 0.6.0.1 (ppa:x2go/stable)
>> 
>> It failed with the following message, which I assume is a bug:
>> "
>> a bytes-like object is required, not 'str'
>> pyhoca-cli: error: the remote server does not have the X2Go Server
>> software installed
>> "

> There were to commits in the near past that might be related to the
> newly introduced checking of X2Go Server being installed on the remote
> host:

> X2Go Server:
> https://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c80103788eebe0445efc2cefb56b074231b76f39

> Python X2Go:
> https://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=d383eb79567677a5be1756ec0fd991f8d82e7a2f

> Can you verify that you have both patches in your x2goserver /
> python3-x2go packages?

> Thanks,
> Mike
> -- 

> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> mobile: +49 (1520) 1976 148
> landline: +49 (4354) 8390 139

> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

> [2 Digitale PGP-Signatur <application/pgp-signature (7bit)>]
> No public key for 9AF46B3025771B31 created at 2019-01-06T16:07:07+0000 using RSA


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Thu, 10 Jan 2019 13:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 10 Jan 2019 13:10:02 GMT) Full text and rfc822 format available.

Message #31 received at 1357@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Chris Greenshields <c.greenshields@cfd.direct>
Cc: 1357@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Thu, 10 Jan 2019 13:08:47 +0000
[Message part 1 (text/plain, inline)]
Hi Chris,

On  Mi 09 Jan 2019 22:19:24 CET, Chris Greenshields wrote:

> + and, x2goserver 4.1.0.3, which does not include the patch you mentioned.

Please manually add the patch I mentioned (or upgrade to X2Go Server  
from heuler for now).

Then, pyhoca-cli should be able to launch sessions again.

Please let me know if that works.
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Thu, 10 Jan 2019 14:40:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Greenshields <c.greenshields@cfd.direct>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 10 Jan 2019 14:40:03 GMT) Full text and rfc822 format available.

Message #36 received at 1357@bugs.x2go.org (full text, mbox):

From: Chris Greenshields <c.greenshields@cfd.direct>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 1357@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Thu, 10 Jan 2019 14:24:59 +0000
Hi Mike,

I confirm that with the patch to x2goserver (4.1.0.4), pyhoca-cli
0.6.0.1 (which included the other patch) functions correctly.

This means that the x2go/stable repository contains a version of
x2goserver, i.e. 4.1.0.3, which is incompatible both with the version
of pyhoca-cli (0.6.0.1) in the same repository, and subsequent
versions (0.6.0.2) in the nightly repository.
https://launchpad.net/~x2go/+archive/ubuntu/stable?field.series_filter=bionic

I don't know when a version is deemed stable, but I wonder if it is
possible to release x2goserver 4.1.0.4 in the stable repository.

Thanks for clarifying the issue.

Chris

> [1  <text/plain (quoted-printable)>]
> Hi Chris,

> On  Mi 09 Jan 2019 22:19:24 CET, Chris Greenshields wrote:

>> + and, x2goserver 4.1.0.3, which does not include the patch you mentioned.

> Please manually add the patch I mentioned (or upgrade to X2Go Server
> from heuler for now).

> Then, pyhoca-cli should be able to launch sessions again.

> Please let me know if that works.
> Mike
> -- 

> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> mobile: +49 (1520) 1976 148
> landline: +49 (4354) 8390 139

> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

> [2 Digitale PGP-Signatur <application/pgp-signature (7bit)>]
> No public key for 9AF46B3025771B31 created at 2019-01-10T13:08:47+0000 using RSA


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Fri, 11 Jan 2019 11:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 11 Jan 2019 11:35:02 GMT) Full text and rfc822 format available.

Message #41 received at 1357@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Chris Greenshields <c.greenshields@cfd.direct>, 1357@bugs.x2go.org
Cc: ionic@ionic.de
Subject: Re: [X2Go-Dev] Bug#1357: Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Fri, 11 Jan 2019 11:33:48 +0000
[Message part 1 (text/plain, inline)]
Hi Chris,

On  Do 10 Jan 2019 15:24:59 CET, Chris Greenshields wrote:

> Hi Mike,
>
> I confirm that with the patch to x2goserver (4.1.0.4), pyhoca-cli
> 0.6.0.1 (which included the other patch) functions correctly.
>
> This means that the x2go/stable repository contains a version of
> x2goserver, i.e. 4.1.0.3, which is incompatible both with the version
> of pyhoca-cli (0.6.0.1) in the same repository, and subsequent
> versions (0.6.0.2) in the nightly repository.
> https://launchpad.net/~x2go/+archive/ubuntu/stable?field.series_filter=bionic
>
> I don't know when a version is deemed stable, but I wonder if it is
> possible to release x2goserver 4.1.0.4 in the stable repository.
>
> Thanks for clarifying the issue.
>
> Chris

Thanks for testing. Note that this bug is already fix via a patch in  
Debian's official X2Go Server package.

@Mihai: when is the next upstream release of X2Go Server scheduled?

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Fri, 11 Jan 2019 11:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 11 Jan 2019 11:40:03 GMT) Full text and rfc822 format available.

Message #46 received at 1357@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1357-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1357@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Fri, 11 Jan 2019 12:38:16 +0100 (CET)
tag #1357 pending
fixed #1357 4.1.0.4
thanks

Hello,

X2Go issue #1357 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=d7c4222

The issue will most likely be fixed in src:x2goserver (4.1.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d7c42225b52d42111b1220888c024ed4efe3b061
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jan 11 12:34:39 2019 +0100

    debian/changelog: add bug closure for #1357

diff --git a/debian/changelog b/debian/changelog
index 0526008..2547462 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,7 +5,7 @@ x2goserver (4.1.0.4-0x2go1) UNRELEASED; urgency=medium
     - Fix version number in VERSION.x2goserver-desktopsharing.
     - x2goserver-x2goagent: Drop x2goagent.keyboard file.
     - x2goversion: Fix situations where ${compfile} contains a
-      non-absolute path (e.g. it contains '../').
+      non-absolute path (e.g. it contains '../'). (Fixes: #1357).
   * debian/x2goserver.postinst:
     + Drop duplicate sourcing of debconf includes.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 11 Jan 2019 11:40:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.4. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 11 Jan 2019 11:40:04 GMT) Full text and rfc822 format available.

Message sent on to Chris Greenshields <c.greenshields@cfd.direct>:
Bug#1357. (Fri, 11 Jan 2019 11:40:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1357; Package pyhoca-cli. (Fri, 11 Jan 2019 11:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 11 Jan 2019 11:45:02 GMT) Full text and rfc822 format available.

Message #58 received at 1357@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Chris Greenshields <c.greenshields@cfd.direct>, 1357@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1357: Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3
Date: Fri, 11 Jan 2019 11:39:57 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goserver
Control: found -1 4.1.0.3

On  Do 10 Jan 2019 15:24:59 CET, Chris Greenshields wrote:

> Hi Mike,
>
> I confirm that with the patch to x2goserver (4.1.0.4), pyhoca-cli
> 0.6.0.1 (which included the other patch) functions correctly.
>
> This means that the x2go/stable repository contains a version of
> x2goserver, i.e. 4.1.0.3, which is incompatible both with the version
> of pyhoca-cli (0.6.0.1) in the same repository, and subsequent
> versions (0.6.0.2) in the nightly repository.
> https://launchpad.net/~x2go/+archive/ubuntu/stable?field.series_filter=bionic
>
> I don't know when a version is deemed stable, but I wonder if it is
> possible to release x2goserver 4.1.0.4 in the stable repository.
>
> Thanks for clarifying the issue.
>
> Chris

I added a bug closure to changelog block of 4.1.0.4 in X2Go Server.

Re-assigning this issue to X2Go Server. It will be closed once 4.1.0.4  
has been released.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'pyhoca-cli' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1357-submit@bugs.x2go.org. (Fri, 11 Jan 2019 11:45:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.1.0.4. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1357-submit@bugs.x2go.org. (Fri, 11 Jan 2019 11:45:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.1.0.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1357-submit@bugs.x2go.org. (Fri, 11 Jan 2019 11:45:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Jan 21 22:07:23 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.